﻿namespace SddpViewer;

public class IpAddressComparer : IComparer, IComparer<DiscoveredDeviceViewModel>
{
  public int Compare(DiscoveredDeviceViewModel? x, DiscoveredDeviceViewModel? y)
  {
    var aByte = x?.IpAddress.GetAddressBytes().Sum(b => (long)b) ?? 0;
    var bByte = y?.IpAddress.GetAddressBytes().Sum(b => (long)b) ?? 0;
    return aByte.CompareTo(bByte);
  }

  public int Compare(object? x, object? y) => Compare(x as DiscoveredDeviceViewModel, y as DiscoveredDeviceViewModel);
}
